# LibraryBinaryDependencySpec

@Incubating
interface LibraryBinaryDependencySpec : DependencySpec

A dependency onto a specific binary of a library published by a project.

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getLibraryName
Link copied to clipboard
abstract fun getLibraryName(): String
Returns the name of the library this dependency refers to.
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
Returns the project path of the project this dependency refers to.
getVariant
Link copied to clipboard
abstract fun getVariant(): String
Returns the variant of this binary.